PathPricer< PathType, ValueType > Class Template Referenceabstract
Monte Carlo framework

base class for path pricers More...

`#include <ql/methods/montecarlo/pathpricer.hpp>`

## Public Types

typedef PathType | argument_type
typedef ValueType | result_type

## Public Member Functions

virtual ValueType | operator() (const PathType &path) const =0

## Detailed Description

### template<class PathType, class ValueType = Real>
class QuantLib::PathPricer< PathType, ValueType >

base class for path pricers

Returns the value of an option on a given path.

Examples
  DiscreteHedging.cpp.